interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 67567 characters]
    headers:
      CF-RAY: [2d01eb8059cb282e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['45307']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 10 Aug 2016 08:01:28 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d8b53ff1c55120830a38650f8114cbcc71470816087; expires=Thu,
          10-Aug-17 08:01:27 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=g10byB%2Bscoc5lg0h0tH9suQqTZOnh80KOioCatbDVnM5WVDlaijt4zGOq0Qpa8UnGV4YE14t1fg%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********&grant_type=refresh_token
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=d8b53ff1c55120830a38650f8114cbcc71470816087]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMuwrCQBBFf2XY2kIjWtgpKax8oH3Y7F50IsnGmTEaxH+X1erC4Zz7dj4EqFaW
        bujcily5vR9Oi/CMZbe+bU7HotmXs6Y4z3xyE3I/r7KxR5ZreIFkHjFwQMUx413qkCFePQu04vw8
        X06nE3Ia0r9FZKMrqyUZiSM6YxupHfVRC2JkU+qFB29ooeovUBL4SII+iZH6AaSPumXLo0G4Bg3J
        4D5f4B5kRtYAAAA=
    headers:
      CF-RAY: [2d01eb8b8a14282e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 10 Aug 2016 08:01:29 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAFvfqlcC/31V23LbQAj9lY6fO53EcZukP8OgFZIZrXbVvdhxMvn3wlqKVnXSNxtYOBwO6G3H
        EWicrL8Q7X5/69BG+v5td8QII7KtTA5HjdgZPrHlV0zsHUxHfCV42InfBMJErYTcH/Y/9w/3vw53
        P+40F7cEXfAjBN/4FKucUjzmOJFry8PFPKeCnMyS7m7/tKRTaL79F55lN8CAYUQx7vfPmt1BQ0n/
        fyT240gufcQ9HsTYSbEcSHG9yRtJRMAj9gRToBPTOYL1fS94fE4SlELWXIF6jomC0CdIoLP+DImi
        RrztThgYnf6Wmi4Fb2GvJNHLRIELBtaO9w/vBfuJ4IiTEMGuB+fPaxlsI4WTlAk0+ZDEv/r+C5bd
        GkhjQ629gMHQLoFf4bz/DOfhueCkHs0FImEwR83TrSVG37AlOFMDCUNPW6TSBWA2qpna+EphgNZL
        xwlSQDOszpjYDIL4OjEdzuzIUx9QFGW8H7hMbVMjeWGqy05Rzw4f0PUUSP2qdhlX9YzHPgfouZOM
        ToiOG4xCBDpBSKctCsozAJi8ZXNZPZ0PRqaZ0lSFz+w42RoZdYPOUVi9kx9o9K73CiFRmcdmNjE3
        Ar/l9OlsHnU2n7Moim28kAFGQA7FuVVQkU6W/Rf2VrOj8ywj2SGD5njbZjQiFnvDS+lbJtByIFNt
        i4QTOdXdzZMJcyTY1O/LQsQUQWa9CVZk102AllEw1hzj3P+mxQ/uIGRb6yUJh8LP7ZQiJVVv5bhI
        XG7EYwJO9eRQJH3ipDsRTixzPwdOeiYX/6JJepG5VpqcfExQ1rIKlsCr3mAUAhFW6DOkOnFjvRmW
        i/MVHDmkSwEViddDcv+0PpAD3Htb314u17U26J+d/ePQq/o0XLqZOJQvgPhctlbjXONfRMC5SHa5
        1FKQO5ZzVNauSlvymGt7yrQ+uH4LdAGrCvNXQKu8/wUqtT8UrwYAAA==
    headers:
      CF-RAY: [2d01eb99c3b50651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 10 Aug 2016 08:01:31 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d2eed5c921f4a1e4bd4cb46e8350605a71470816091; expires=Thu,
          10-Aug-17 08:01:31 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['598.0']
      x-ratelimit-reset: ['509']
      x-ratelimit-used: ['2']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d2eed5c921f4a1e4bd4cb46e8350605a71470816091]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/multi/mine/.json
  response:
    body:
      string: !!binary |
        H4sIAF3fqlcC/3VUbUsbQRD+K9crSAvGKNEilX5IlFCotkIC/WDk2NudZIfsG/sSOcX/3tm8qHdp
        vhx7zzMzz8zszjy8lEs0ovxelLesBgXiLqmI5XFRChYZ4S8lZ6YCgZF+ok+QKQxOsaYyTEN29SCI
        dxBDdvw/KiBwjy6iNZWMWmWLIxWvPvV6xeS6+jMeF73e0SJeZVDgquCKhfBjVmoxK3e4y4d7aaMN
        hZ0XG4UiS5wUR0y7K7IZZMP+2nJmZubNjVuHIIq5t7rIICukhzkJ9FMA39/E6uvtIcfc6B6k1zps
        l9pOcX2m/Hf4rr7f2/JyL7gHFiF3/Wzw7fLibDC4OD85zcQ6xyrnmPtzUDoHQU6dTD430iSlCAmp
        3pgEwh5e3i5C24W2RrCmfD0u3uEnjwsFzcIaeEIl2uQkglIsSphE5tsUvQdjrVBQpxjb1LVEpZq/
        +dMm7pEvFVxLgAA31qSO3zB5a4ZG/MQwgj3npGtvQyc/G8h+KmGKpmM+VMhhQ96kuoZO+ioZ5pJz
        Ha9gRUNwG/TMCKtJHKFN5NgMVTOiD3QiTW3dQXhynC2Bs5j83jUE6ySCs5Hp1CnyxvqO8USCCMNb
        G6m+33ZK6m1+aU6jRLMIv5jXrM2NrKZmUOYjei7CLrql6gCBLnyvCXXyHqPN74QnIbq3wyXdrYOO
        mGPRE57j0XuVzC/bfJOW6JB3CnZgTEM9d7ZrP2YmsrHHvfZNsu0dGtorFOzxfbqqFHm5mbDzy/OL
        7YQtoam4VdZn388cYDC/zNO0woA1KozNOg+PK4rxNmY7sQw8AS5kpB5XgUvY9iDvKuSZpsJlhjaz
        y3FFQZ/Zeu05yZ6hGuxN8sfVqNe7+NCKy+stL7WPu+zh4JZ4/HKQ+lq+vj7+A1SYhRP9BQAA
    headers:
      CF-RAY: [2d01eba4a40a0651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['681']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 10 Aug 2016 08:01:33 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['597.0']
      x-ratelimit-reset: ['508']
      x-ratelimit-used: ['3']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=8vk4hb0j64upFrGIvLcAUI0QdaP%2BF2nE7aCdt4yoQYWLsaxTRrj4KRlbnOCUYnkjvOM604a5yR5dO6vf6XcEAAZ2BNQ%2BDxMd']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
